import { authRequest } from '/@/utils/request';

/**
 * @summary 获取角色与项目菜单映射产品下发菜单列表
 */
export const GetAuthRoleProjectMenuMappingAuthorizeMenuList = (params) => {
	return authRequest({
		url: '/Auth/Role/Project/Menu/Mapping/GetAuthorizeMenuList@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary SetAuthRoleProjectMenuMapping
 */
export const SetAuthRoleProjectMenuMapping = (data) => {
	return authRequest({
		url: '/Auth/Role/Project/Menu/Mapping/Set@V1.0',
		method: 'post',
		data,
	});
};
